import { dashboard, folder, datasource } from "./grafana.ts";
import { rule_group } from "./prometheus.ts";
import { withApiVersion, addMetadata, newResource, withSpec } from "./resource.ts";
import { newCheck } from "./check.ts";
type Main = {
    grafanaDashboards: Record<string, any>;
    grafanaDashboardFolder: string | undefined;
    prometheusAlerts: Record<string, any>;
    prometheusRules: Record<string, any>;
    mixins: Record<string, any>;
};
export declare const fromPrometheusKsonnet: (main: Main) => {
    grafana: {
        [x: string]: any;
    };
    prometheus: {
        [x: string]: any;
    };
};
export declare const resource: {
    defaultApiVersion: string;
    withApiVersion: typeof withApiVersion;
    addMetadata: typeof addMetadata;
    newResource: typeof newResource;
    withSpec: typeof withSpec;
};
export { dashboard, folder, datasource, rule_group };
export declare const synthetic_monitoring_check: typeof newCheck;
