import { dashboard, folder, datasource, getFolder, fromMap, fromMixins, } from "./grafana.js";
import { getMixinRuleNames, fromMapsFiltered, rule_group, } from "./prometheus.js";
import { defaultApiVersion, withApiVersion, addMetadata, newResource, withSpec, } from "./resource.js";
import { newCheck } from "./check.js";
export const fromPrometheusKsonnet = (main) => {
    const dashboardFolder = getFolder(main);
    const mixinRules = getMixinRuleNames(main.mixins);
    return {
        grafana: {
            ...fromMap(main.grafanaDashboards, dashboardFolder),
            ...fromMixins(main.mixins),
        },
        prometheus: {
            ...fromMapsFiltered(main.prometheusAlerts, mixinRules),
            ...fromMapsFiltered(main.prometheusRules, mixinRules),
            ...fromMixins(main.mixins),
        },
    };
};
export const resource = {
    defaultApiVersion,
    withApiVersion,
    addMetadata,
    newResource,
    withSpec,
};
export { dashboard, folder, datasource, rule_group };
export const synthetic_monitoring_check = newCheck;
