export declare const defaultApiVersion = "grizzly.grafana.com/v1alpha1";
type Resource = {
    apiVersion: string;
    kind: string;
    metadata: {
        name: string;
    };
};
export declare function newResource(kind: string, name: string): Resource;
export declare function withApiVersion(resource: Resource, apiVersion: string): {
    defaultApiVersion: string;
    apiVersion: string;
    kind: string;
    metadata: {
        name: string;
    };
};
export declare function addMetadata(resource: Resource, name: string, value: any): {
    metadata: {
        name: string;
    };
    apiVersion: string;
    kind: string;
};
export declare function withSpec(resource: Resource, spec: any): {
    spec: any;
    apiVersion: string;
    kind: string;
    metadata: {
        name: string;
    };
};
export {};
