export const defaultApiVersion = "grizzly.grafana.com/v1alpha1";
export function newResource(kind, name) {
    return {
        apiVersion: defaultApiVersion,
        kind: kind,
        metadata: {
            name: name,
        },
    };
}
export function withApiVersion(resource, apiVersion) {
    return {
        ...resource,
        defaultApiVersion: apiVersion,
        apiVersion: apiVersion,
    };
}
export function addMetadata(resource, name, value) {
    return {
        ...resource,
        metadata: {
            ...resource.metadata,
            [name]: value,
        },
    };
}
export function withSpec(resource, spec) {
    return {
        ...resource,
        spec: spec,
    };
}
